%define pkgname actionpack
Summary:	Object-Relational mapping library for Ruby
Summary(pl.UTF-8):	Biblioteka odwzorowań obiektowo-relacyjnych dla Ruby
Name:		ruby-%{pkgname}
Version:	2.3.16
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	5cee7f8665b44fb6affe47e6d479011c
Patch0:		%{name}-nogems.patch
URL:		http://rubyforge.org/projects/actionpack/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-rack >= 1.1.0
Obsoletes:	ruby-ActionPack
Provides:	ruby-ActionPack
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Action Pack splits the response to a web request into a controller
part (performing the logic) and a view part (rendering a template).
This two-step approach is known as an action, which will normally
create, read, update, or delete (CRUD for short) some sort of model
part (often database) before choosing either to render a template or
redirecting to another action.

%description -l pl.UTF-8
Action Pack dzieli odpowiedź na żądanie WWW na część sterującą
(wykonującą logikę) i część widokową (przetwarzającą szablon). To
dwukrokowe podejście jest znane jako akcja, która zwykle tworzy,
czyta, uaktualnia lub usuwa (create, read, update, delete - CRUD)
jakiś rodzaj części modelu (zwykle bazy danych) przed wybraniem czy
przetwarzać szablon, czy przekierować do innej akcji.

%package rdoc
Summary:	Documentation files for ActionPack
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActionPack
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActionPack.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActionPack.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

%build
LC_ALL=en_US.UTF-8 rdoc --ri --op ri lib
LC_ALL=en_US.UTF-8 rdoc --op rdoc lib
rm ri/created.rid
rm -fr ri/{CGI,FalseClass,HTML,Mime,NilClass,Object,RackLintPatch,Regexp,TrueClass}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_rubylibdir}/action_controller
%{ruby_rubylibdir}/action_controller.rb
%{ruby_rubylibdir}/action_pack
%{ruby_rubylibdir}/action_pack.rb
%{ruby_rubylibdir}/actionpack.rb
%{ruby_rubylibdir}/action_view
%{ruby_rubylibdir}/action_view.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActionController
%{ruby_ridir}/ActionView
%changelog
* Fri Feb 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-actionpack.git;a=log;h=master

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> a4461f5
- updated to 2.3.16

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> f14a8ab
- updated to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 2c2b46a
- rel 3

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> f7099d0
- there is nothing in this dir

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 9f1c956
- locale issues

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 5bfeaef
- some locale issues?

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 34947be
- rel 2
- ri documentation depends on installed packages and is thus nondeterministic

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> a7cd94d
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 589438f
- 2.3.11

* Wed Mar 03 2010 Jan Rękorajski <baggins@pld-linux.org> 38c5c8d
- rel 3
- package whole action_pack dir

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 3601c2c
- rel 2
- fixed build

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 670c4f5
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 71b1d99
- we don't use gems and stuff

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> f2f0b2e
- 2.3.5

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 84a65ed
- P:ruby-ActionPack

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> e745e0b
- renamed ruby-ActionPack -> ruby-actionpack

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 30a5542
- unify ri stuff

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 5d5aac8
- unify

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 052e845
- update to 2.0.5, add -rdoc

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 2ff4208
- massive attack: correct ri output path for ruby 1.8.6

